| Home | Libraries | People | FAQ | More

## Function template find_first

boost::algorithm::find_first — Find first algorithm.

## Synopsis

    // In header: <boost/algorithm/string/find.hpp>

    template<typename Range1T, typename Range2T>
      iterator_range< typename range_iterator< Range1T >::type >
      find_first(Range1T & Input, const Range2T & Search);

## Description

Search for the first occurrence of the substring in the input.

| Note
This function provides the strong exception-safety guarantee

Parameters: |
`Input` | A string which will be searched.
`Search` | A substring to be searched for.
Returns: | An `iterator_range` delimiting the match. Returned iterator is either `RangeT::iterator` or `RangeT::const_iterator`, depending on the constness of the input parameter.